using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace GcDevicePc.GCBuffer
{
    class SignalBuffer
    {
        public struct Channel_XY
        {
            public UInt32 ctimer;
            public float cdata;
        };

        public struct TCP_Channel
        {
            public UInt32 dettimer;
            public float detdata1;
            public float detdata2;
            public float detdata3;
        };

        public Channel_XY Channel1_Port = new Channel_XY();
        public ArrayList Draw_Port = new ArrayList();
        public ArrayList Save_Port = new ArrayList();

        public Channel_XY Channel2_Port = new Channel_XY();
        public ArrayList Draw_Port2 = new ArrayList();
        public ArrayList Save_Port2 = new ArrayList();

        public Channel_XY Channel3_Port = new Channel_XY();
        public ArrayList Draw_Port3 = new ArrayList();
        public ArrayList Save_Port3 = new ArrayList();

        public TCP_Channel TCPChannel_Port = new TCP_Channel();
        public ArrayList TCP_Port = new ArrayList();

        public SignalBuffer()
        {

        }

        ~SignalBuffer()
        {

        }

    }
}
